/// <reference types="react" />
import { CommandRegistry } from '@lumino/commands';
import { NotebookPanel } from '@jupyterlab/notebook';
import { ICellHeader, Cell } from '@jupyterlab/cells';
import { ICellSidebarProps } from '../cell/sidebar/CellSidebarWidget';
/**
 * Extend the default implementation NotebookPanel.ContentFactory of `IContentFactory`.
 */
export declare class JupyterReactContentFactory extends NotebookPanel.ContentFactory {
    private readonly CellSidebar;
    private readonly notebookId;
    private readonly nbgrader;
    private readonly commands;
    constructor(CellSidebar: (props: ICellSidebarProps) => JSX.Element, notebookId: string, nbgrader: boolean, commands: CommandRegistry, options: Cell.ContentFactory.IOptions);
    /** @override */
    createCellHeader(): ICellHeader;
}
export default JupyterReactContentFactory;
