/// <reference types="react" />
import { ICellHeader } from '@jupyterlab/cells';
import { CommandRegistry } from '@lumino/commands';
import { ReactPortalWidget } from '../../../lumino/ReactPortalWidget';
export declare const DATALAYER_CELL_HEADER_CLASS = "dla-CellHeader-Container";
export type ICellSidebarProps = {
    notebookId: string;
    cellId: string;
    command: CommandRegistry;
    nbgrader: boolean;
};
export declare class CellSidebarWidget extends ReactPortalWidget implements ICellHeader {
    private readonly commands;
    constructor(CellSidebar: (props: ICellSidebarProps) => JSX.Element, notebookId: string, nbgrader: boolean, commands: CommandRegistry);
}
export default CellSidebarWidget;
